LibItsCommon_externals.cc File Reference
`#include "LibItsCommon_Functions.hh"`
`#include <chrono>`
`#include <math.h>`

## Namespaces

| LibItsCommon__Functions

## Macros

#define | M_PI 3.14159265358979323846

## Functions

INTEGER | LibItsCommon__Functions::fx__getCurrentTime ()
| This external function gets the current time More...
INTEGER | LibItsCommon__Functions::fx__getCurrentTimeMark ()
| Gets the current time since 01/01/2004 More...
INTEGER | LibItsCommon__Functions::fx__getMinuteOfTheYear ()
| Gets the Minute of current UTC year More...
INTEGER | LibItsCommon__Functions::fx__getDSecond ()
| Gets the milliseconds point in the current UTC minute More...
FLOAT | LibItsCommon__Functions::fx__computeDistance (const INTEGER &p__latitudeA, const INTEGER &p__longitudeA, const INTEGER &p__latitudeB, const INTEGER &p__longitudeB)
void | LibItsCommon__Functions::fx__computePositionUsingDistance (const INTEGER &p__refLatitude, const INTEGER &p__refLongitude, const FLOAT &p__distance, const INTEGER &p__orientation, INTEGER &p__latitude, INTEGER &p__longitude)
FLOAT | LibItsCommon__Functions::fx__computeRadiusFromCircularArea (const FLOAT &p__squareMeters)

## Macro Definition Documentation

## M_PI

#define M_PI 3.14159265358979323846